﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsСигаеваПР1
{
    /// <summary>
    /// Класс для работы с кнопками
    /// </summary>
    public partial class ButtonWork : Form
    {
        /// <summary>
        /// Конструктор формы
        /// </summary>
        public ButtonWork()
        {
            InitializeComponent();
            InitializeButton();
        }

        /// <summary>
        /// Метод для инициализации кнопок
        /// </summary>
        private void InitializeButton()
        {
            button1.Click += Button1_Click;
            button2.Click += Button2_Click;
            button3.Click += Button3_Click;
            button4.Click += Button4_Click;
        }

        /// <summary>
        /// Обработчик события для первой кнопки
        /// </summary>
        /// <param name="sender">Объект, кнопка 1</param>
        /// <param name="e">Объект класса EventArgs</param>
        private void Button1_Click(object sender, EventArgs e)
        {
            button1.Size = new System.Drawing.Size(100, 50);
            button1.Location = new System.Drawing.Point(10, 10);
        }


        /// <summary>
        /// Обработчик события для второй кнопки
        /// </summary>
        /// <param name="sender">Объект, кнопка 2</param>
        /// <param name="e">Объект класса EventArgs</param>
        private void Button2_Click(object sender, EventArgs e)
        {
            button2.Size = new System.Drawing.Size(35, 50);
            button2.Location = new System.Drawing.Point(20, 40);
        }

        /// <summary>
        /// Обработчик события для третьей кнопки
        /// </summary>
        /// <param name="sender">Объект, кнопка 3</param>
        /// <param name="e">Объект класса EventArgs</param>
        private void Button3_Click(object sender, EventArgs e)
        {
            button3.Size = new System.Drawing.Size(50, 100);
            button3.Location = new System.Drawing.Point(70, 60);
        }

        /// <summary>
        /// Обработчик события для четвертой кнопки
        /// </summary>
        /// <param name="sender">Объект, кнопка 4</param>
        /// <param name="e">Объект класса EventArgs</param>
        private void Button4_Click(object sender, EventArgs e)
        {
            button4.Size = new System.Drawing.Size(90, 50);
            button4.Location = new System.Drawing.Point(15, 30);
        }
    }
}
